rpm 5.2.1

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- Data Structures
- Data Fields

Data Fields
pgpPktLdata_s Struct Reference
RPMPGP.

5.8. More...

`#include <rpmio/rpmpgp.h>`

## Data Fields
rpmuint8_t | format
rpmuint8_t | filenamelen
rpmuint8_t | filename [1]

## Detailed Description

5.8.

Marker Packet (Obsolete Literal Packet) (Tag 10)

An experimental version of PGP used this packet as the Literal packet, but no released version of PGP generated Literal packets with this tag. With PGP 5.x, this packet has been re-assigned and is reserved for use as the Marker packet.

The body of this packet consists of:

- The three octets 0x50, 0x47, 0x50 (which spell "PGP" in UTF-8).

Such a packet MUST be ignored when received. It may be placed at the beginning of a message that uses features not available in PGP 2.6.x in order to cause that version to report that newer software is necessary to process the message.

Definition at line 929 of file rpmpgp.h.

## Field Documentation

rpmuint8_t pgpPktLdata_s::filename[1]

Definition at line 932 of file rpmpgp.h.

rpmuint8_t pgpPktLdata_s::filenamelen

Definition at line 931 of file rpmpgp.h.

rpmuint8_t pgpPktLdata_s::format

Definition at line 930 of file rpmpgp.h.

The documentation for this struct was generated from the following file:

- rpmio/rpmpgp.h